#!/bin/sh

# Arguments.
RES_DIR="$1"
USER_ID="$2"
UPGRADING="$3"
DEVELOPING="$4"

# Utilities.
source "${RES_DIR}/utils.sh"

# Do the normal uninstall first
"${RES_DIR}/uninstall.sh" "${RES_DIR}" "${USER_ID}" "${UPGRADING}" "${DEVELOPING}" ; EXIT_ON_ERROR 1 "uninstalling"

# Remove remaining files
${RM} -rf "${HANDSOFF_DIR}"
${RM} -rf /Users/*/Library/Caches/com.metakine.handsoff/
${RM} -rf /Users/*/Library/Caches/com.metakine.HandsOffAgent/
${RM} -rf /Users/*/Library/Saved\ Application\ State/com.metakine.handsoff.savedState/
${RM} -rf /Users/*/Library/Preferences/com.metakine.handsoff.plist*

exit 0

